> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search exposed buckets

> Search exposed buckets according to provided filters
Search across categories "img, aud, vid, font, doc, src, web, bkup, dbdump"
Search across labels "credential, financial, pii, legal, ip, medical, hr, report, confidential, backup, compromised, vulnerable"
Search across providers "aws, gcp, do, linode"



## OpenAPI

````yaml post /v1/exposed/buckets/search
openapi: 3.0.1
info:
  title: Odin
  description: >-
    ODIN APIs to search across IP Services, CVEs, Exposed Files/Buckets, Domains
    and more
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://api.odin.io/
security: []
paths:
  /v1/exposed/buckets/search:
    post:
      tags:
        - ExposedBuckets
      summary: Search exposed buckets
      description: >-
        Search exposed buckets according to provided filters

        Search across categories "img, aud, vid, font, doc, src, web, bkup,
        dbdump"

        Search across labels "credential, financial, pii, legal, ip, medical,
        hr, report, confidential, backup, compromised, vulnerable"

        Search across providers "aws, gcp, do, linode"
      operationId: searchExposedBuckets
      requestBody:
        description: Search Query
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/exposed.SearchRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items: 750ae81f-7cbf-4764-af5e-70231f03e07f
                  success:
                    type: boolean
                  pagination:
                    type: object
                    properties:
                      last:
                        type: array
                        items:
                          type: object
                      limit:
                        type: integer
                      start:
                        type: array
                        items:
                          type: object
                      total:
                        type: integer
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
      security:
        - ApiKeyAuth: []
components:
  schemas:
    exposed.SearchRequest:
      required:
        - limit
      type: object
      properties:
        limit:
          type: integer
        query:
          type: string
        sort_by:
          type: string
        sort_dir:
          type: string
        start:
          type: array
          items:
            type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: X-API-Key
      in: header

````